Skip to main content
GET
/
v1
/
users
cURL
curl --request GET \
--url https://api.baseten.co/v1/users \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "items": [
    {
      "user_id": "<string>",
      "email": "<string>",
      "name": "<string>",
      "workspace_name": "<string>"
    }
  ],
  "pagination": {
    "has_more": true,
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Query Parameters

cursor
string | null

Opaque cursor returned by a previous page. Omit to fetch the first page.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 1000

Response

200 - application/json

A page of users in the caller's workspace.

items
UserInfoV1 · object[]
required

Items in this page.

pagination
PaginationResponseV1 · object
required

Pagination metadata for the page.